---
title: FontFace.featureSettings
slug: Web/API/FontFace/featureSettings
tags:
  - API
  - CSS Font Loading API
  - CSSOM
  - FontFace
  - Fonts
  - Property
  - Reference
  - featureSettings
---
<div>{{draft}}{{APIRef("CSS Font Loading API")}}{{SeeCompatTable}}</div>

<p class="summary">The <strong><code>featureSettings</code></strong> property of the {{domxref("FontFace")}} interface retrieves or sets infrequently used font features that are not available from a font's variant properties. It is equivalent to the {{cssxref("@font-face/font-feature-settings", "font-feature-settings")}} descriptor.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var featureSettingDescriptor = FontFace.featureSettings;
FontFace.featureSettings = <em>featureSettingDescriptor</em>;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref('CSSOMString')}} containing a descriptor.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Font Loading','#dom-fontface-featuresettings','featureSettings')}}</td>
   <td>{{Spec2('CSS3 Font Loading')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.FontFace.featureSettings")}}</p>
